
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Statspack之十四-&amp;amp;quot;log file sync&amp;amp;quot; 等待事件 / iVAN</title>

    <meta name="description" content="Statspack之十四-&amp;amp;quot;log file sync&amp;amp;quot; 等待事件 原文出处: http://www.eygle.com/statspack/statspack14-LogFileSync.htm 当一个用户提交(commits)或者回滚(rollback),session的redo信息需要写出到redo logfile中.用户进程将通知LGWR执行写出操作,LGWR完成任务以后会通知用户进程.这个等待事件就是指用户进程等待LGWR的写完成通知. 对于回滚操作,该事件记录从用户发出rollback命令到回滚完成的时间. 如果该等待过多,可能说明LGWR的写出效率">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Statspack之十四-&amp;amp;quot;log file sync&amp;amp;quot; 等待事件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文出处:</p>
<p>http://www.eygle.com/statspack/statspack14-LogFileSync.htm</p>
<p>当一个用户提交(commits)或者回滚(rollback),session的redo信息需要写出到redo logfile中.<br />用户进程将通知LGWR执行写出操作,LGWR完成任务以后会通知用户进程.<br />这个等待事件就是指用户进程等待LGWR的写完成通知.</p>
<p>对于回滚操作，该事件记录从用户发出rollback命令到回滚完成的时间.</p>
<p>如果该等待过多，可能说明LGWR的写出效率低下，或者系统提交过于频繁.<br />针对该问题，可以关注:<br />log file parallel write等待事件<br />user commits,user rollback等统计信息可以用于观察提交或回滚次数</p>
<p>解决方案:<br />1.提高LGWR性能<br />尽量使用快速磁盘，不要把redo log file存放在raid 5的磁盘上<br />2.使用批量提交<br />3.适当使用NOLOGGING/UNRECOVERABLE等选项</p>
<p>可以通过如下公式计算平均redo写大小：</p>
<p>avg.redo write size = (Redo block written/redo writes)*512 bytes</p>
<p>如果系统产生redo很多，而每次写的较少，一般说明LGWR被过于频繁的激活了.<br />可能导致过多的redo相关latch的竞争,而且Oracle可能无法有效的使用piggyback的功能.</p>
<p>我们从一个statspack中提取一些数据来研究一下这个问题.</p>
<p>1.主要信息</p>
<p>DB Name         DB Id    Instance     Inst Num Release     OPS Host------------ ----------- ------------ -------- ----------- --- ------------DB           1222010599  oracle              1 8.1.7.4.5   NO  sun                Snap Id     Snap Time      Sessions                ------- ------------------ -------- Begin Snap:       3473 13-Oct-04 13:43:00      540   End Snap:       3475 13-Oct-04 14:07:28      540    Elapsed:                  24.47 (mins)Cache Sizes~~~~~~~~~~~           db_block_buffers:     102400          log_buffer:   20971520              db_block_size:       8192    shared_pool_size:       600MLoad Profile~~~~~~~~~~~~                            Per Second       Per Transaction                                   ---------------       ---------------                  Redo size:             28,458.11              2,852.03                  ......</p>
<p>2.等待事件</p>
<p> </p>
<p>Event                               Waits   Timeouts  Time (cs)    (ms)   /txn---------------------------- ------------ ---------- ----------- ------ ------log file sync                      14,466          2       4,150      3    1.0db file sequential read            17,202          0       2,869      2    1.2latch free                         24,841     13,489       2,072      1    1.7 direct path write                     121          0       1,455    120    0.0db file parallel write              1,314          0       1,383     11    0.1log file sequential read            1,540          0          63      0    0.1....log file switch completion              1          0           3     30    0.0refresh controlfile command            23          0           1      0    0.0LGWR wait for redo copy                46          0           0      0    0.0....log file single write                   4          0           0      0    0.0</p>
<p>我们看到，这里log file sync和db file parallel write等待同时出现了.<br />显然log file sync在等待db file parallel write的完成.</p>
<p>这里磁盘IO肯定存在了瓶颈，实际用户的redo和数据文件同时存放在Raid的磁盘上，存在性能问题.<br />需要调整.</p>
<p>3.统计信息</p>
<p> </p>
<p> Statistic                                    Total   per Second    per Trans--------------------------------- ---------------- ------------ ------------....redo blocks written                         93,853         63.9          6.4redo buffer allocation retries                   1          0.0          0.0redo entries                               135,837         92.5          9.3redo log space requests                          1          0.0          0.0redo log space wait time                         3          0.0          0.0redo ordering marks                              0          0.0          0.0redo size                               41,776,508     28,458.1      2,852.0redo synch time                              4,174          2.8          0.3redo synch writes                           14,198          9.7          1.0redo wastage                             4,769,200      3,248.8        325.6redo write time                              3,698          2.5          0.3redo writer latching time                        0          0.0          0.0redo writes                                 14,572          9.9          1.0....sorts (disk)                                     4          0.0          0.0sorts (memory)                             179,856        122.5         12.3sorts (rows)                             2,750,980      1,874.0        187.8....transaction rollbacks                           36          0.0          0.0transaction tables consistent rea                0          0.0          0.0transaction tables consistent rea                0          0.0          0.0user calls                               1,390,718        947.4         94.9user commits                                14,136          9.6          1.0user rollbacks                                 512          0.4          0.0write clones created in backgroun                0          0.0          0.0write clones created in foregroun               11          0.0          0.0          -------------------------------------------------------------</p>
<p>avg.redo write size = (Redo block written/redo writes)*512 bytes    = ( 93,853 / 14,572 )*512     = 3K</p>
<p>这个平均过小了，说明系统的提交过于频繁.</p>
<p> </p>
<p> Latch Sleep breakdown for DB: DPSHDB  Instance: dpshdb  Snaps: 3473 -3475-&gt; ordered by misses desc                                Get                                  Spin &amp;Latch Name                    Requests         Misses      Sleeps Sleeps 1-&gt;4-------------------------- -------------- ----------- ----------- ------------row cache objects              12,257,850     113,299          64 113235/64/0/                                                                  0/0shared pool                     3,690,715      60,279      15,857 52484/588/65                                                                  46/661/0library cache                   4,912,465      29,454       8,876 23823/2682/2                                                                   733/216/0cache buffers chains           10,314,526       2,856          33 2823/33/0/0/                                                                  0redo writing                       76,550         937           1 936/1/0/0/0session idle bit                2,871,949         225           1 224/1/0/0/0messages                          107,950         159           2 157/2/0/0/0session allocation                184,386          44           6 38/6/0/0/0checkpoint queue latch             96,583           1           1 0/1/0/0/0          -------------------------------------------------------------</p>
<p>由于过渡频繁的提交，LGWR过度频繁的激活，我们看到这里出现了redo writing的latch竞争.</p>
<p>关于redo writing竞争你可以在steve的站点找到详细的介绍:<br />http://www.ixora.com.au/notes/lgwr_latching.htm</p>
<p>转引如下:</p>
<p> </p>
<p>When LGWR wakes up, it first takes the redo writing latch to update the SGA variable that shows whether it is active. This prevents other Oracle processes from posting LGWR needlessly. LGWR then takes the redo allocation latch to determine how much redo might be available to write (subject to the release of the redo copy latches). If none, it takes the redo writing latch again to record that it is no longer active, before starting another rdbms ipc message wait. <br />If there is redo to write, LGWR then inspects the latch recovery areas for the redo copy latches (without taking the latches) to determine whether there are any incomplete copies into the log buffer. For incomplete copies above the sync RBA, LGWR just defers the writing of that block and subsequent log buffer blocks. For incomplete copies below the sync RBA, LGWR sleeps on a LGWR wait for redo copy wait event, and is posted when the required copy latches have been released. The time taken by LGWR to take the redo writing and redo allocation latches and to wait for the redo copy latches is accumulated in the redo writer latching time statistic.</p>
<p>(Prior to release 8i, foreground processes held the redo copy latches more briefly because they did not retain them for the application of the change vectors. Therefore, LGWR would instead attempt to assure itself that there were no ongoing copies into the log buffer by taking all the redo copy latches.)</p>
<p>After each redo write has completed, LGWR takes the redo allocation latch again in order to update the SGA variable containing the base disk block for the log buffer. This effectively frees the log buffer blocks that have just been written, so that they may be reused.</p>
<p> </p>
<p> </p>
<p>本文作者:<br />eygle,Oracle技术关注者,来自中国最大的Oracle技术论坛itpub.<br />www.eygle.com是作者的个人站点.你可通过Guoqiang.Gai@gmail.com来联系作者.欢迎技术探讨交流以及链接交换.</p>
<p>原文出处:</p>
<p>http://www.eygle.com/statspack/statspack14-LogFileSync.htm</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 19:31:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/the/" title="The">The</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/write/" title="write">write</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>, <a href="https://www.iamivan.net/tag/redo/" title="redo">redo</a>, <a href="https://www.iamivan.net/tag/6-4-0-50-4/" title="6&period;4&period;0&period;5&amp;amp&semi;0&period;4">6&period;4&period;0&period;5&amp;amp&semi;0&period;4</a>, <a href="https://www.iamivan.net/tag/type-quot-chainquot/" title="type&equals;&amp;amp&semi;quot&semi;chain&amp;amp&semi;quot&semi;">type&equals;&amp;amp&semi;quot&semi;chain&amp;amp&semi;quot&semi;</a>, <a href="https://www.iamivan.net/tag/redos/" title="redos">redos</a>, <a href="https://www.iamivan.net/tag/latch/" title="Latch">Latch</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Statspack之十四-&amp;amp;quot;log file sync&amp;amp;quot; 等待事件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeoD2NM.html" rel="bookmark">log file sync 等侍值高的一般通用解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				log file sync等待时间发生在redo log从log buffer写入到log file期间. 下面对log file sync做个详细的解释. 何时发生日志写入: 1.commit或者rollback 2.每3秒 3.log buffer 1/3满或者已经有1M的redo数据.       更精确的解释:_LOG_IO_SIZE 大小默认是LOG_BUFFER的1/3,当log buffer中redo数据达到_LOG_IO_SIZE 大小时,发生日志写入. 4.DBWR写之前 _l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M06Ornz.html" rel="bookmark">&amp;quot&semi;log file sync&amp;quot&semi;等待事件-2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;log file sync&quot;有三个参数: P1 = buffer# P2 = 未使用 P3 = 未使用 buffer# 这个buffer编号(在日志缓冲区中)的所有改变必须刷新到磁盘,写操作的完成保证了交易COMMIT的执行,即使实例crash也会保证COMMIT.因此LGWR的等待就是刷新这个buffer#. 等待时间: 这种等待完全依赖于LGWR写出所有必要的redo块,确保完成后返回给用户session.等待时间包括了日志缓冲写操作和提交操作.等待的时候,每秒都会增加序列号.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWK9ZmM.html" rel="bookmark">log file sync 因为数据线有问题而造成高等侍的表现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是3月份某客户的情况,原因是服务器硬件故障后进行更换之后,业务翻译偶尔出现提交缓慢的情况.我们先来看下awr的情况.                                               我们可以看到,该系统的load profile信息其实并不高,每秒才21个transaction.先来看看top5events: 从top 5event,我们可以发现,log file sync的avg wait非常之高,高达124ms.大家应该知道,对于绝大多数情况 下,log fil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWDRqEp.html" rel="bookmark">&lbrack;20161228&rsqb;奇怪log file sync等待事件&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[20161228]奇怪log file sync等待事件.txt --这个来自链接:http://www.itpub.net/thread-2073857-1-1.html的讨论,很奇怪的问题: Top 10 Foreground Events by Total Wait Time Event                                              Waits    Total Wait Time (sec)    Wait Avg(ms)    % DB t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3kE3Wb.html" rel="bookmark">&amp;quot&semi;log file sync&amp;quot&semi;等待事件-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;log file sync&quot;是等待事件中非常常见的一种,他排在AWR的top5中有时是正常情况,有时则需要格外注意.昨天也听了一次Oracle的网络研讨会,介绍的是AWR相关的分析,从中学习到最重要的一点,就是对于AWR报告中若干信息的判断不能独立地看,需要综合起来,一个参数值大,不一定代表有问题,也可能是正常的,需要具体问题具体分析,其实和日常生活是一样的,头疼,不一定是感冒,也可能是缺少睡眠. WAITEVENT: &quot;log file sync&quot; Refere			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNnXLPM.html" rel="bookmark">联机日志文件过小引发的log file 相关等待</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      Oracle 联机重做日志文件记录了数据库的所有变化(DML,DDL或管理员对数据所作的结构性更改等),用于对于意外删除或宕机利用日志文件实现数据恢复来确保数据的完整性.但不合理的联机日志文件规划将引发日志相关的等待事件.下面是这样一个来自生产环境中的例子.   1.故障描述 --客户描述该数据库晚上用于实现数据同步以及汇总,以前一直工作的比较良好,随着需要同步的数量量的增大,最近变得越来越慢. --下面我们首先取了客户晚8点至第二天7点的awr report. WORKLOAD R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOOq1M.html" rel="bookmark">ORACLE等待事件&colon; log file parallel write</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				log file parallel write概念介绍 log file parallel write 事件是LGWR进程专属的等待事件,发生在LGWR将日志缓冲区(log_buffer)中的重做日志信息写入联机重做日志文件组的成员文件,LGWR在该事件上等待该写入过程的完成.该事件的等待表示重做日志所处的磁盘设备缓慢或存在争用.下面看看官方一些资料是如何解释log file parallel write等待事件的.   log file parallel write   Writing red			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NVOqM.html" rel="bookmark">【Oracle】 检查log fie sysnc 等待事件的脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				-- NAME: LFSDIAG.SQL  -- ------------------------------------------------------------------------  -- AUTHOR: Michael Polaski - Oracle Support Services  -- ------------------------------------------------------------------------  -- PURPOSE:  -- This			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBaKoM.html" rel="bookmark">【等待事件之二】log 相关的等待</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL&gt; select * from v$version; BANNER                                                                           -------------------------------------------------------------------------------- Oracle Database 11g Enterprise Edition Release 11.1.0.6.0			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk2oMe.html" rel="bookmark" class="title">找回Win8开始按钮的多种方法</a>
					<div>
						微软在Windows 8中做了一个重大改变,那就是取消了任务栏中的开始按钮,这必然会让很多用户难以适应,那么如何才能在Windows 8中用上熟悉的开始按钮和开始菜单呢?下面我们为大家汇总了多个方案. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Nwgp.html" rel="bookmark" class="title">xcode-使用SBJsonParser不能解析JSON字符串</a>
					<div>
						问题描述 使用SBJsonParser不能解析JSON字符串 Json字符串是:&quot;&quot;{'message':'Test Driver'}&quot;&quot; 如果我NSlog代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnnvAp.html" rel="bookmark" class="title">XSL对象格式使用指南（三）</a>
					<div>
						对象   在前两篇中我们已经讨论了怎样处理封面页和内容页,现在我们准备把以下内容放入这西班牙评论手册里.         标题和段落属性由&lt;fo:block&gt; 元素控制,粗体和带下划线的词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl4JnM.html" rel="bookmark" class="title">Photoshop文字特效教程&colon;实用的黄金字</a>
					<div>
						本教程介绍较为实用的黄金字制作方法.处理的时候并不需要太多的图层样式,只需要用减淡工具来调整高光,再加简单的浮雕和投影样式即可.最终效果 3.用椭圆选框工具在中间拉出下图所示的椭圆选区. 4.按Ctr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeX30p.html" rel="bookmark" class="title">迅如疾风 PHPWind 6&period;3&period;2 测试手记</a>
					<div>
						源码压缩包刚到手的时候,2.87M,作为一个WEB程序,这样的容量可算是够大的,解压缩后目录也达到了8.74M,不过当看到PW默认自带了多个风格以及有相对比较完整的IP库时(并没有使用常见的纯真IP库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyaWvM.html" rel="bookmark" class="title">asp&period;net身份验证和授权</a>
					<div>
						asp.net 今天闲着无聊．想起来了ASP.NET身份验证．感觉良好．贴出下列代码:login.aspx HTML代码   1&lt;%@ Page language=&quot;c#&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boBvvz.html" rel="bookmark" class="title">PHP与数据库连接</a>
					<div>
						数据|数据库|数据库连接 4.据库连接 通过PHP你可以轻松的连接到数据库,请求数据并将其显示在你的web站点中,甚至修改数据库中的数据.MySQL是一种很流行的数据库,并且在互联网中有许多有关PHP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AAQqp.html" rel="bookmark" class="title">php的高级嵌入式</a>
					<div>
						高级嵌入式 php的嵌入式能够提供的可不仅仅是同步的加载和执行脚本. 通过理解php的执行模块各个部分是怎样组合的, 甚至给出一个脚本还可以回调到你的宿主应用中. 本章将涉及SAPI层提供的I/O钩子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4mVAp.html" rel="bookmark" class="title">在WebSphere Application Server Community Edition上运行PHP</a>
					<div>
						简介:在 web 开发中 PHP 一直占据着一席之地,无论是小型规模的 web 应用,还是像 Yahoo 这样 的大型网站.PHP 和 Java 一直是以竞争对手的形式出现,如果我们能够同时使用 PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxnjWb.html" rel="bookmark" class="title">发扬EJB、Spring思想将组件化进行到底</a>
					<div>
						EJB.Spring,这不是Java界最有名的两大冤家,何以把它们扯在一起.其实Spring乃是EJB1.x.2.x的继承者,正如EJB之前的COM.CORBA.他们的思想一脉相承,那就是企业级的组件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal8Rqz.html" rel="bookmark" class="title">IE中&OpenCurlyDoubleQuote;自动检测设置&rdquo;无法取消怎么办？</a>
					<div>
						有时我们会遇到IE中自动检测设置无法取消的情况,具体表现为&quot;自动检测设置&quot;默认是打勾的却显示为灰色无法操作,这时我们可以通过修改注册表来取消IE中的&quot;自动检测设置&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R7Kop.html" rel="bookmark" class="title">iSee多图卡片对宝贝图片排版方法</a>
					<div>
						  iSee软件可以利用多图卡片对宝贝图片进行排版.这种排版方式的优点是:多图卡片有多种组合方式,只需要将宝贝详图添加到多图卡片中就可以了. 先看多图卡片排版效果图: 利用多图卡片功能排版的步骤: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwLodp.html" rel="bookmark" class="title">win8系统的语言栏不见了怎么办？</a>
					<div>
						  在使用Windows电脑的时候,咱们目前使用的是哪一种输入法,在显示的语言栏中就会自动的标出来,咱们切换到其他的输入法中,也会在这个语言栏中标记出来,用户查看起来也是十分的方便,一般来说,这个语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYoZAM.html" rel="bookmark" class="title">新浪微博为什么微博有很多转发却没在热门微博出现？</a>
					<div>
						  首先请了解: 1. 由于计算热度需要一定时间,因此,一条微博从发出到上榜需要2小时左右. 2. 某一条微博的转发量大,热度并不一定高. 在不刷榜的前提下,常见微博不上榜的原因有以下几点: 1. 微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl525b.html" rel="bookmark" class="title">同Ip不同端口 使用绝对路径可以找到项目里的图片文件吗</a>
					<div>
						问题描述 同Ip不同端口 使用绝对路径可以找到项目里的图片文件吗 同一个服务器里请求图片,127.xxxx:8080/1.jpg可以访问到127.xxxx:8088/1.jpg就访问不到了,在线等,求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6d5Ab.html" rel="bookmark" class="title">WPS 广告关闭</a>
					<div>
						不知道为啥雷总的公司对于广告是情有独钟的喜爱,比如:金山毒霸.MIUI.WPS等等全是广告大户. 今天在无意中发现了关闭WPS广告的方法: 在360或者腾讯安全管家或者程序与功能中,选择卸载WPS,就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QqV7p.html" rel="bookmark" class="title">hibernate-数据库表增加字段后如何在获取历史数据时添加默认值？</a>
					<div>
						问题描述 数据库表增加字段后如何在获取历史数据时添加默认值? 表增加了一个字段,定义是基本类型有默认值,新生成的数据没问题但是历史数据该字段都是空值,导致程序会出错,JavaBean中的字段类型dou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkXj2b.html" rel="bookmark" class="title">tcp-网速慢会影响TCP通信失败吗？</a>
					<div>
						问题描述 网速慢会影响TCP通信失败吗? 我的手机是客户端,手机是2G的,网速巨慢,在往服务器端发送字符串的时候发不过去,是不是网速慢的原因啊 解决方案 是的,当网速慢时,打开的客户端长时不能回应信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKjVlb.html" rel="bookmark" class="title">我添加华为的SDK 这是什么情况？？？求大神指教</a>
					<div>
						问题描述 解决方案 解决方案二:DLL找不到啊,确认当前路径下是否存在那个dll解决方案三:把这个报错的Dll拷贝到你运行程序exe所在的目录,也可以直接拷贝到System32目录下.仔细点看,是你运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgvOOb.html" rel="bookmark" class="title">UITableView取消选中颜色、常用操作</a>
					<div>
						使用空白view取代cell - (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSInde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA8RQM.html" rel="bookmark" class="title">出了Linux故障找不到方法？看大牛简单、朴实的解决思路</a>
					<div>
						与windows系统一样,linux操作系统也会存在很多问题和故障,很多linux新手都害怕故障,面对出现的问题显得无可奈何,更有甚者,由此放弃了linux,其实,我们不应该惧怕问题,学习就是一个发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy20Nz.html" rel="bookmark" class="title">java-算法问题（博弈论相关的）</a>
					<div>
						问题描述 算法问题(博弈论相关的) 问题描述 闲暇时,福尔摩斯和华生玩一个游戏: 在N张卡片上写有N个整数.两人轮流拿走一张卡片.要求下一个人拿的数字一定是前一个人拿的数字的约数或倍数.例如,某次福尔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAjBEb.html" rel="bookmark" class="title">如何在Default&period;aspx中写HTML语言啊？</a>
					<div>
						问题描述 Default.aspx中,将开头的内容&lt;%@%&gt;保留,剩余的内容全删了,然后写HTML语言,结果出现一个警告,如下图所示.我发现将头部的MasterPageFile=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M127G9p.html" rel="bookmark" class="title">从零开始搭建论坛（三）：Flask框架简单介绍</a>
					<div>
						前面两篇文章中我们已经了解 Web(HTTP)服务器,Web应用程序,Web框架,WSGI这些 Python Web 开发中的概念.我们知道,Web框架通过将不同Web应用程序中的共性部分给抽象出来, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjeNKM.html" rel="bookmark" class="title">有关校园招聘的一点思考</a>
					<div>
						       最近,很多IT公司都陆陆续续地启动了校园招聘,都想从高校中招到优秀的人才.我也是通过校园招聘进入公司的,回想起当年投简历.参加笔试和面试.签三方协议等等场景,至今还记忆犹新.       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GJEgp.html" rel="bookmark" class="title">Nginx服务器下配置个性二级域名及多个域名的实例讲解&lowbar;nginx</a>
					<div>
						个性二级域名配置下个性化二级域名. 效果: 访问的URL http://custom.jb51.net 实际的URL http://www.jb51.net/auth/custom 我们的做法就是通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZPe3z.html" rel="bookmark" class="title">asp&period;net-求教为何接收不到参数。。</a>
					<div>
						问题描述 求教为何接收不到参数.. else { $.ajax({ type: &quot;POST&quot;, url: &quot;addXZYW.aspx/SetBaoCun&quot;, / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn6vkp.html" rel="bookmark" class="title">透过2013企业IT趋势 看SAP实时产品策略</a>
					<div>
						文章讲的是透过2013企业IT趋势 看SAP实时产品策略,回顾过去的一年,中国企业信息化市场发挥出巨大的潜力.与国内厂商的集体低迷不同,2012年国外厂商加速掘金中国市场.其中不得不提到SAP,这家德 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVJPwz.html" rel="bookmark" class="title">怎么用函数代替按钮事件？</a>
					<div>
						问题描述 就是原来我在按钮事件里实现的功能,现在想用一个函数来实现,可以在按钮事件里定义一个函数吗?点按钮的时候调用. 解决方案 解决方案二:可以,你把按钮里的代码提取成一个方法,然后在按钮里面直接调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgWnKz.html" rel="bookmark" class="title">元旦假期上海网购投诉居首</a>
					<div>
						上海市工商局公布的2013年元旦假期三天12315热线消费者申(投)诉举报情况显示,有关网购.通讯产品.食品3个方面的申(投)诉数量位居前三位. 节日期间,12315热线共受理网上购物类申(投)诉28 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
